### Constructor

# GimpUi SpinButton new

since: 2.10.10

#### Declaration [src]

    GtkWidget*
    gimp_spin_button_new (
      GtkAdjustment* adjustment,
      gdouble climb_rate,
      guint digits
    )

#### Description [src]

Creates a new `GimpSpinButton`.

Available since: 2.10.10

#### Parameters

`adjustment`

  Type: `GtkAdjustment`

  The `GtkAdjustment` object that this spin button should use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`climb_rate`

  Type: `gdouble`

  Specifies by how much the rate of change in the value will accelerate if you continue to hold down an up/down button or arrow key.

`digits`

  Type: `guint`

  The number of decimal places to display.

#### Return value

Type: `GtkWidget`

The new spin button as a `GtkWidget`.

The data is owned by the called function.